Page MenuHomePhabricator

ZeroPortal unit tests throws Warning: JsonConfig: Invalid $wgJsonConfigs['JsonZeroConfig']['url']: API URL is not set ...
Closed, ResolvedPublic

Description

I am working on a Jenkins jobs that runs phpunit against all extensions. I noticed ZeroPortal throws a warning.

I used the master version of core and of the following extensions:

$ /bin/ls -1 extensions
ContributionTracking
DonationInterface
JsonConfig
MobileFrontend
README
ZeroBanner
ZeroPortal
$

$ cd tests/phpunit/
$ php phpunit.php --testsuite extensions

Warning: JsonConfig: Invalid $wgJsonConfigs['JsonZeroConfig']['url']: API URL is not set, and this config is not being stored locally [Called from JsonConfig\JCSingleton::init in /extensions/JsonConfig/includes/JCSingleton.php at line 106] in /core/includes/debug/Debug.php on line 303

Will attach stacktrace.


Version: unspecified
Severity: normal

Details

Reference
bz67142

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:26 AM
bzimport added a project: ZeroPortal.
bzimport set Reference to bz67142.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Jun 26 2014, 5:28 PM

Created attachment 15752
Warning: JsonConfig: Invalid $wgJsonConfigs['JsonZeroConfig']['url']: API URL is not set

Attached:

Yurik added a comment.Jun 26 2014, 7:32 PM

Can be fixed by adding ['isLocal']=true. Will try to get to it shortly or feel free to submit a patch or even +2 it

There is no hurry. It only impacts a proof of concept I am working on. But would be nice to have the issue dropped soonish :-)

We really need tests to pass when all wmf extensions are installed together. That is preventing us from progression toward the HHVM migrating. Raising priority to High.

Change 143491 had a related patch set uploaded by Yurik:
Fixed defaults to allow non-configured extension to work per bug 67142

https://gerrit.wikimedia.org/r/143491

Change 143492 had a related patch set uploaded by Yurik:
Matching default ZeroPortal config changes per bug 67142

https://gerrit.wikimedia.org/r/143492

Change 143491 merged by jenkins-bot:
Fixed defaults to allow non-configured extension to work per bug 67142

https://gerrit.wikimedia.org/r/143491

Change 143492 merged by MaxSem:
Matching default ZeroPortal config changes per bug 67142

https://gerrit.wikimedia.org/r/143492

hashar added a comment.Jul 2 2014, 7:58 AM

Thank you very much everyone. That hides the issued warning :-}